ru.bitel.common

## Class PatternStringGenerator

- java.lang.Object
- - ru.bitel.common.PatternStringGenerator

-     public class PatternStringGenerator
      extends java.lang.Object

  Класс, осуществляющий замену подстроки вида <${key}> на определенное значение. Используется в случае, когда нужно делать макроподстановки в тексте.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternStringGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `insertPatternPart(java.lang.String srcString, java.lang.String key, java.lang.String value)` Замена в исходной строке ключа key на значение value.
    `static java.lang.String` | `replacePatternPart(java.lang.String srcString, java.lang.String key, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternStringGenerator

          public PatternStringGenerator()

  - ### Method Detail

    - #### insertPatternPart

          public static java.lang.String insertPatternPart(java.lang.String srcString,
                                                           java.lang.String key,
                                                           java.lang.String value)

      Замена в исходной строке ключа key на значение value.
      Parameters:
        `srcString` - строка, в которой происходит замена подстроки
        `key` - ключ, который преобразуется к виду <${key}>. в таком виде он ищется в строке address
        `value` - значение, на которое нужно заменить макрос
      Returns:
        строка с подстановкой, либо исходная строка,если key не был найден в строке.

    - #### replacePatternPart

          public static java.lang.String replacePatternPart(java.lang.String srcString,
                                                            java.lang.String key,
                                                            java.lang.String value)